## waylandsink waylandsink |

## Properties

gpointer | wayland-display | Read / Write
gchar * | display | Read / Write

## Types and Values

struct | GstWaylandSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstVideoSink
                            ╰── GstWaylandSink

## Implemented Interfaces

GstWaylandSink implements GstVideoOverlay and GstWaylandVideo.

## Description

The waylandsink is creating its own window and render the decoded video frames to that. Setup the Wayland environment as described in

Wayland home page.

The current implementaion is based on weston compositor.

#### Example pipelines

    1
    gst-launch-1.0 -v videotestsrc ! waylandsink

test the video rendering in wayland

## Synopsis

### Element Information

plugin | waylandsink
author | Sreerenj Balachandran <sreerenj.balachandran@intel.com>, George Kiagiadakis <george.kiagiadakis@collabora.com>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, BGRA, RGBx, xBGR, xRGB, RGBA, ABGR, ARGB, RGB, BGR, RGB16, BGR16, YUY2, YVYU, UYVY, AYUV, NV12, NV21, NV16, YUV9, YVU9, Y41B, I420, YV12, Y42B, v308 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw(memory:DMABuf), format=(string){ BGRx, BGRA, RGBx, xBGR, xRGB, RGBA, ABGR, ARGB, RGB, BGR, RGB16, BGR16, YUY2, YVYU, UYVY, AYUV, NV12, NV21, NV16, YUV9, YVU9, Y41B, I420, YV12, Y42B, v308 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstWaylandSink

    struct GstWaylandSink;

## Property Details

### The `“wayland-display”` property

      “wayland-display”          gpointer

Wayland Display handle created by the application .

Flags: Read / Write

### The `“display”` property

      “display”                  gchar *

Wayland display name to connect to, if not supplied via the GstContext.

Flags: Read / Write

Default value: NULL